Bug 241349 - net/kea: Minor improvements
Summary: net/kea: Minor improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-19 22:11 UTC by Jose Luis Duran
Modified: 2019-10-25 22:35 UTC (History)
2 users (show)

See Also:
apevnev: maintainer-feedback+


Attachments
Minor improvements (3.83 KB, patch)
2019-10-19 22:11 UTC, Jose Luis Duran
no flags Details | Diff
Minor improvements (3.83 KB, patch)
2019-10-19 22:15 UTC, Jose Luis Duran
no flags Details | Diff
Minor improvements (3.75 KB, patch)
2019-10-21 14:59 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2019-10-19 22:11:18 UTC
Created attachment 208431 [details]
Minor improvements

- portlint
- rclint kea.in
- [PATCH] support colorized output for `keactrl status`
Comment 1 Jose Luis Duran 2019-10-19 22:15:23 UTC
Created attachment 208432 [details]
Minor improvements

This revision includes the renaming of "legacy" patch files.
Comment 2 Andrey Pevnev 2019-10-21 13:45:28 UTC
Comment on attachment 208432 [details]
Minor improvements

Thanks for the patch!

looks fine with the exception of:

-DISTNAME=	${PORTNAME}-${ISCVERSION}

note that default is ${PORTNAME}-${PORTVERSION} and I have ${PORTNAME}-${ISCVERSION}, this is an important difference.
Comment 3 Jose Luis Duran 2019-10-21 14:59:40 UTC
Created attachment 208483 [details]
Minor improvements

Addresses comment #2
Comment 4 Andrey Pevnev 2019-10-21 15:53:37 UTC
(In reply to Jose Luis Duran from comment #3)

Thanks!
Comment 5 commit-hook freebsd_committer 2019-10-25 12:46:31 UTC
A commit references this bug:

Author: meta
Date: Fri Oct 25 12:46:21 UTC 2019
New revision: 515608
URL: https://svnweb.freebsd.org/changeset/ports/515608

Log:
  net/kea: Pet portlint, rclint

  Also, add patch to support colorized output for `keactl status`.

  PR:		241349
  Submitted by:	Jose Luis Duran <jlduran@gmail.com>
  Approved by:	 Andrey Pevnev <apevnev@me.com> (maintainer)

Changes:
  head/net/kea/Makefile
  head/net/kea/files/kea.in
  head/net/kea/files/patch-Makefile.am
  head/net/kea/files/patch-src-bin-keactrl-Makefile.am
  head/net/kea/files/patch-src-lib-dhcpsrv-Makefile.am
  head/net/kea/files/patch-src_bin_keactrl_keactrl.in
  head/net/kea/pkg-plist
Comment 6 Koichiro Iwao freebsd_committer 2019-10-25 12:48:36 UTC
Committed with minor change (did make makepatch), thanks!
Comment 7 Jose Luis Duran 2019-10-25 21:22:05 UTC
(In reply to Koichiro Iwao from comment #6)

Thank you!

Apparently `make makepatch` generates filenames with the the new syntax.
The current files have the  "legacy" syntax:

patch-src-bin-keactrl-Makefile.am -> patch-src_bin_keactrl_Makefile.am
patch-src-lib-dhcpsrv-Makefile.am -> patch-src_lib_dhcpsrv_Makefile.am
Comment 8 Andrey Pevnev 2019-10-25 21:24:13 UTC
(In reply to Jose Luis Duran from comment #7)

I'll get those into the new syntax form during next kea version update, hate updating between versions for cosmetic stuff. Thanks!
Comment 9 Jose Luis Duran 2019-10-25 22:35:22 UTC
(In reply to Andrey Pevnev from comment #8)

Great!